Before you start
You’ll need product-level permissions to use this endpoint. You should also create webhooks for theAccountActivated event type at a minimum, so you’re notified when the account’s status changes.
Create an account for cards
POST
/v2/onboardingRequest
Use this request to submit details and start onboarding an account.Request body schema
The market relating to the licence that the account operates under.Allowable values:
UK, EUThe feature to enable on the account. Defaults to
payments if not provided. Cannot be changed later.Allowable values: payments, cardsThe type of account you’re onboarding.Allowable values:
business, personalThe affiliate ID.Allowable values: 36 characters
The company ID.Allowable values: 36 characters
Details about the contact (primary owner).
| Field | Type | Required | Description |
|---|---|---|---|
contact.firstName | string | required | The contact’s first name (≤ 256 characters) |
contact.lastName | string | required | The contact’s last name (≤ 256 characters) |
contact.email | string | required | The contact’s email address. If this matches an existing person, we’ll create a new persona for them. If not, we’ll create both a new person and a new persona (≤ 256 characters) |
contact.phone | string | required | The contact’s phone number (≤ 50 characters) |
contact.dob | string | The contact’s date of birth. Format: DD/MM/YYYY | |
contact.address.addressLine1 | string | required | The first line of the contact’s residential address (≤ 256 characters) |
contact.address.addressLine2 | string | The second line of the contact’s residential address (≤ 256 characters) | |
contact.address.townCity | string | required | The town or city of the contact’s residential address (≤ 256 characters) |
contact.address.postCode | string | required | The postal or ZIP code of the contact’s residential address (≤ 36 characters) |
contact.address.countryCode | string | required | The country code of the contact’s residential address, in ISO 3166-1 alpha-2 format (2 characters) |
Details about the account. Optional for
personal accounts; required for business accounts.| Field | Type | Required | Description |
|---|---|---|---|
account.companyName | string | required if account provided | The company’s name (≤ 256 characters) |
account.companyNumber | string | required if account provided | The company number |
account.incorporationDate | string | The company’s incorporation date. Format: YYYY-MM-DD | |
account.type | string | required if account provided | The company type. Allowable values: ltd, private-limited-guarant-nsc-limited-exemption, private-limited-guarant-nsc, llp, plc, sole_trader, charity, charitable-incorporated-organisation, partnership, assurance-company, converted-or-closed, limited_by_guarantee, limited-partnership, oversea-company, private-unlimited, royal-charter, registered-society-non-jurisdictional, trust, uk-establishment, other |
account.website | string | The URL of the account’s website (≤ 256 characters) | |
account.onboardingDetail | string | Optional additional details about the account | |
account.address.addressLine1 | string | required if account provided | The first line of the business’ registered address (≤ 256 characters) |
account.address.addressLine2 | string | The second line of the business’ registered address (≤ 256 characters) | |
account.address.townCity | string | required if account provided | The town or city of the business’ registered address (≤ 256 characters) |
account.address.postCode | string | required if account provided | The postal or ZIP code of the business’ registered address (≤ 36 characters) |
account.address.countryCode | string | required if account provided | The country of the business’ registered address, in ISO 3166-1 alpha-2 format (2 characters) |
Details for the KYC checks.
| Field | Type | Required | Description |
|---|---|---|---|
kyc.expectedCardUse | array of strings | required | The expected uses of the cards. Allowable values: advertising_and_marketing, bills_and_utilities, client_entertainment, customer_incentives, employee_incentives, fuel_and_mileage_domestic, fuel_and_mileage_overseas, location_expenses__film__tv, office_equipment, online_subscriptions, other, payment_terminal_testing, payroll, per_diems, petty_cash, procurement__purchasing, procurement__sourcing_, travel_expenses_domestic, travel_expenses_overseas |
kyc.sourceOfFunds | array of strings | required | The source of funds. Allowable values: salary, savings, property, cryptocurrency, inheritance, other |
kyc.currenciesRequired | array of strings | required | The currency codes of the required currencies, in ISO 4217 format (3 characters) |
kyc.averageLoad | string | required | The expected average load. Allowable values: 0_20k, 20_50k, 50_100k, 100_250k, 250_500k, 500_1000k, 1000k |
kyc.numberOfCards | string | required | The expected number of cards on the account. Allowable values: 0_10, 11_50, 51_100, 101+ |
kyc.cardFourthLine | string | required | The line that appears below the name on the card (e.g. Equals Money). Business accounts only. Text longer than 15 characters will be truncated (≤ 21 characters) |
kyc.employeeCards | boolean | required | Whether the employee cards feature is enabled |
kyc.atmWithdrawals | boolean | required | Whether the card can be used for ATM withdrawals |
Response
If your request is successful, you’ll receive a202 response.
For more detailed information about this request and its response, see the API reference.
What’s next?
Once we’ve finished verifying the business or person you’ve submitted details for, we’ll activate their account. If you’ve set up webhooks, you’ll receive anAccountActivated event when this happens.